summaryrefslogtreecommitdiffstats
path: root/ubuntu/_base/kdelibs/debian/prune-nonfree
diff options
context:
space:
mode:
authorSlávek Banko <slavek.banko@axis.cz>2019-04-03 18:05:50 +0200
committerSlávek Banko <slavek.banko@axis.cz>2019-04-03 18:05:50 +0200
commitaf5c905ec49085b7c396caf2c5166f0c34cbeb3f (patch)
tree56463d31ace48f127ed61169fdc2b4b8aedfcc56 /ubuntu/_base/kdelibs/debian/prune-nonfree
parente43172a6e74706afc06ff8d11cbfa769bc949cc1 (diff)
downloadtde-packaging-af5c905ec49085b7c396caf2c5166f0c34cbeb3f.tar.gz
tde-packaging-af5c905ec49085b7c396caf2c5166f0c34cbeb3f.zip
DEB: use _base folder for a distro instead of specific distros (squeeze and maverick).
Signed-off-by: Slávek Banko <slavek.banko@axis.cz>
Diffstat (limited to 'ubuntu/_base/kdelibs/debian/prune-nonfree')
-rw-r--r--ubuntu/_base/kdelibs/debian/prune-nonfree15
1 files changed, 15 insertions, 0 deletions
diff --git a/ubuntu/_base/kdelibs/debian/prune-nonfree b/ubuntu/_base/kdelibs/debian/prune-nonfree
new file mode 100644
index 000000000..cb24b5db4
--- /dev/null
+++ b/ubuntu/_base/kdelibs/debian/prune-nonfree
@@ -0,0 +1,15 @@
+#!/bin/sh -e
+
+# Removes non-free files from the source tree. Must be done before
+# creating the orig.tar.gz.
+
+TOPLEVEL="$1"
+
+if [ "$TOPLEVEL" = "" ]; then
+ echo "Please provide the toplevel directory as the argument."
+ exit 1
+else
+ rm -f $TOPLEVEL/kioslave/http/kcookiejar/rfc*
+fi
+
+exit 0